#module imports
from fielddisplay import fielddisplay

class basalforcings:
	#properties
	def __init__(self):
		# {{{ Properties
		self.melting_rate             = float('NaN')
		self.melting_rate_correction  = float('NaN')
		self.geothermalflux           = float('NaN')

		#set defaults
		self.setdefaultparameters()

		#}}}
	def __repr__(obj):
		# {{{ Display
		string="   basal forcings parameters:"

		string="%s\n\n%s"%(string,fielddisplay(obj,"melting_rate","basal melting rate (positive if melting)"))
		string="%s\n%s"%(string,fielddisplay(obj,"melting_rate_correction","additional melting applied when the grounding line retreats"))
		string="%s\n%s"%(string,fielddisplay(obj,"geothermalflux","geothermal heat flux [W/m^2]"))
		return string
		#}}}
	def setdefaultparameters(obj):
		# {{{setdefaultparameters
		return obj
	#}}}

